CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
Driverlib Version

## Functions
| DRIVERLIB_DECLARE_VERSION (2, 00, 06, 42416)
| External declaration of the DriverLib version locking object. More...

## Detailed Description

## Function Documentation

DRIVERLIB_DECLARE_VERSION | ( | 2 | ,
|  | 00 | ,
|  | 06 | ,
|  | 42416 |
| ) |  |

External declaration of the DriverLib version locking object.

## Macro Definition Documentation

#define DRIVERLIB_ASSERT_CURR_VERSION | ( |  | ) | DRIVERLIB_ASSERT_VERSION(2, 00, 06, 42416)

This macro shall be called once from within a function of a precompiled software deliverable to lock the deliverable to a specific DriverLib version. It is essential that the call is made from code that is not optimized away.

This macro locks to the current DriverLib version used at compile-time.

If attempting to use the precompiled deliverable with a different version of DriverLib, a linker error will be produced, stating that "driverlib_version_xx_yy_zz_bbbbb is undefined" or similar.

To override the check, for example when upgrading DriverLib but not the precompiled deliverables, or when mixing precompiled deliverables, application developers may (at own risk) declare the missing DriverLib version using the DRIVERLIB_DECLARE_VERSION() macro.

Definition at line 142 of file driverlib_ver.h.

#define DRIVERLIB_ASSERT_VERSION | ( |  | major,
|  |  | minor,
|  |  | patch,
|  |  | build
| ) |  | (driverlib_version_##major##_##minor##_##patch##_##build)

This macro shall be called once from within a function of a precompiled software deliverable to lock the deliverable to a specific DriverLib version. It is essential that the call is made from code that is not optimized away.

This macro locks to a specific DriverLib version:

Parameters

  major | is the DriverLib major revision.
  minor | is the DriverLib minor revision.
  patch | is the DriverLib patch revision.
  build | is the DriverLib build identification number.

If attempting to use the precompiled deliverable with a different version of DriverLib, a linker error will be produced, stating that "driverlib_version_xx_yy_zz_bbbbb is undefined" or similar.

To override the check, for example when upgrading DriverLib but not the precompiled deliverables, or when mixing precompiled deliverables, application developers may (at own risk) declare the missing DriverLib version using the DRIVERLIB_DECLARE_VERSION() macro.

Definition at line 117 of file driverlib_ver.h.

#define DRIVERLIB_BUILD_ID 42416

DriverLib build identification number (source code base version)

Definition at line 67 of file driverlib_ver.h.

#define DRIVERLIB_DECLARE_VERSION | ( |  | major,
|  |  | minor,
|  |  | patch,
|  |  | build
| ) |  | const volatile uint8_t driverlib_version_##major##_##minor##_##patch##_##build

This macro is called internally from within DriverLib to declare the DriverLib version locking object:

Parameters

  major | is the DriverLib major revision.
  minor | is the DriverLib minor revision.
  patch | is the DriverLib patch revision.
  build | is the DriverLib build identification number.

This macro shall not be called in the application unless the intention is to bypass the version locking (at own risk).

Definition at line 85 of file driverlib_ver.h.

#define DRIVERLIB_MAJOR_VER 2

DriverLib major revision (incompatible with other major versions)

Definition at line 61 of file driverlib_ver.h.

#define DRIVERLIB_MINOR_VER 00

DriverLib minor revision (may affect software use of DriverLib)

Definition at line 63 of file driverlib_ver.h.

#define DRIVERLIB_PATCH_VER 06

DriverLib patch revision (patches and bug fixes)

Definition at line 65 of file driverlib_ver.h.